Feed a pet
Feed a pet one food item.
POST https://cotlet.dev/api/v1/habitica/pet/feed
write Confirm
Uses one food item on the pet and returns how fed it is. Pets have food preferences, so some food is wasted on the wrong pet. A fed pet can become a mount.
Parameters
| Name | Type | Description |
|---|---|---|
| pet string required | string | Pet name from list_pets_and_mounts, for example Wolf-Base. |
| food string required | string | Food name from list_pets_and_mounts, for example Meat. |
Request
curl -X POST https://cotlet.dev/api/v1/habitica/pet/feed \
-H "Authorization: Bearer $COTLET_API_KEY" \
-H "Content-Type: application/json" \
-d '{"pet":"pet","food":"food"}' result = client.call("habitica", "feed_pet", {"pet":"pet","food":"food"}) const result = await cotlet.call('habitica', 'feed_pet', {"pet":"pet","food":"food"}); cotlet call habitica feed_pet --data '{"pet":"pet","food":"food"}' Example response
{
"pet": "Wolf-Base",
"food": "Meat",
"food_left": {
"Meat": 2
}
}